#if !defined(__fncy_dad_h)              // Sentry, use file only if it's not already included.
#define __fncy_dad_h

/*  Project fancy_ed
    Terry Richards Software
    Copyright  1994. All Rights Reserved.

    SUBSYSTEM:    fancy_ed.exe Application
    FILE:         fncy_dad.h
    AUTHOR:       Terry Richards


    OVERVIEW
    ========
    Class definition for fancy_edAboutDlg (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "fncy_dap.rh"                  // Definition of all resources.


//{{TDialog = fancy_edAboutDlg}}
class fancy_edAboutDlg : public TDialog {
public:
    fancy_edAboutDlg (TWindow *parent, TResId resId = IDD_ABOUT, TModule *module = 0);
    virtual ~fancy_edAboutDlg ();

//{{fancy_edAboutDlgVIRTUAL_BEGIN}}
public:
    void SetupWindow ();
//{{fancy_edAboutDlgVIRTUAL_END}}
};    //{{fancy_edAboutDlg}}


// Reading the VERSIONINFO resource.
class ProjectRCVersion {
public:
    ProjectRCVersion (TModule *module);
    virtual ~ProjectRCVersion ();

    bool GetProductName (LPSTR &prodName);
    bool GetProductVersion (LPSTR &prodVersion);
    bool GetCopyright (LPSTR &copyright);
    bool GetDebug (LPSTR &debug);

protected:
    LPBYTE      TransBlock;
    void FAR    *FVData;

private:
    // Don't allow this object to be copied.
    ProjectRCVersion (const ProjectRCVersion &);
    ProjectRCVersion & operator =(const ProjectRCVersion &);
};


#endif                                      // __fncy_dad_h sentry.
